# File tres/tharset.cl
# October 7, 2008
# By Doug Mink, Harvard-Smithsonian Center for Astrophysics

# THARSET -- Set a specific savelength-dispersed ThAr spectrum
#	     to be a local standard for its configuration

procedure tharset (spectrum)

file	spectrum=""	{prompt="ThAr file with dispersion"}

string	comproot="comp"	{prompt="ThAr file root name"}
bool	verbose=yes	{prompt="Print confirmation of file setting (yes or no)"}

begin

    file cfile, cdb, sdb, spec, filepath
    string croot
    bool vb

    vb = verbose

    gettime (tfib1.mjd)
    filepath = gettime.datadir // "/" // spectrum

    spec = spectrum
    tfib1 (spec)
    croot = comproot // tfib1.apfib

# Copy thorium argon spectrum file to standard name
    cfile = croot // ".ec.fits"
    if (access (cfile))
	delete (cfile)
    copy (spec, cfile)
    hedit (cfile, "COMPFILE", filepath,add+,update+,verify-,show=vb)

# Copy thorium argon spectrum database/id file to standard name
    cdb = "database/ec" // croot // ".ec"
    if (access (cdb))
	delete (cdb)
    fileroot (spec)
    sdb = "database/ec" // fileroot.rootname
    copy (sdb, cdb)
    if (verbose)
	print ("THARSET: ",spec," -> ", cfile)
 
end

# Aug  8 2008	New task
# Oct  1 2008	Write COMPFILE keyword to output file header to give source
# Oct  7 2008	Set vb from verbose
