# File tres/Scripts/tquick.cl
# By Doug Mink
# October 16, 2008

# TQUICK -- Set instrument and date directories for TRES listing and quick look

procedure tquick

string  datedir=""      {prompt="Date of directory (null string=today)"}
bool    verbose=yes     {prompt="Print table of image parameters (yes or no)"}

begin
    bool vb
    file qdir, ddir, quickdir

    vb = verbose

    tcheck

    if (tcheck.rawdir) {
	trsdate (tcheck.datedir)
	}
    else if (datedir == "") {
	gettime (0.0)
	ddir = gettime.datadir
	}
    else {
	ddir = datedir
	}

    qdir = trsdate.quickdir
    quickdir = qdir // ddir
    if (!access (quickdir)) {
	trsdate (ddir)
	quickdir = qdir // ddir
	}

    cd (quickdir)
    if (vb)
	pwd

end

# Oct 14 2008	New program based on trsdate
# Oct 16 2008	If in a raw directory, go to appropriate quick-look directory
